



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【前端】HTML中最适合做按钮的元素</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【前端】HTML中最适合做按钮的元素</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 10:37:34 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>转载请注明出处：<a href="http://www.cnblogs.com/shamoyuu/p/6405914.html" rel="external nofollow noreferrer">http://www.cnblogs.com/shamoyuu/p/6405914.html</a></p>
<p>可选的可以做按钮的元素有如下几个</p>
<p>a、input、button、div(span等)</p>
<p>场景一：需要禁用此按钮</p>
<p>　　在此场景下可以排除a和div(span等)标签，因为想禁用和解禁它们真的非常困难。</p>
<p>场景二：需要在form里自定义执行事件</p>
<p>　　在form元素内，button默认是submit。</p>
<p>　　但是<a href="https://www.w3.org/TR/2011/WD-html5-20110525/the-button-element.html" rel="external nofollow noreferrer">button也有type属性</a>，默认值是submit，还有其他两个值是button和reset。如果设置成button，就是普通的按钮，不会在form里提交表单。</p>
<p>场景三：需要特殊的按钮内容，例如图片等</p>
<p>　　button支持图片和文字，但是在IE9及以下，$("button").val()和$("button").attr('value')都是返回标签之间的内容，而其他浏览器返回标签value属性的值。</p>
<p>　　input虽然只能设置一个value作为按钮文字，但是可以和label结合，也能放图片在里面。</p>
<p>根据以上场景来看，button和input是最适合做按钮的，在各种情况下都完美胜任。</p>
<p>而且从语义化的角度考虑，button也最适合做按钮。</p>
<p>综上所述，请使用button做按钮，但是需要标签的内容和value属性的值尽量保持一致。</p>
<hr />
<p>注：很多人不用button做按钮是因为它自带默认样式，而且每个浏览器可能都不一样，懒得初始化所以用a标签这样的来做按钮。</p>
<p>可以用过下面的css来初始化button的样式</p>
<div>
<pre class="prettyprint linenums">button {<br />
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);<br />
    -webkit-appearance: none;<br />
    padding:;<br />
    margin:;<br />
    outline: none;<br />
    border: none;<br />
    border-radius:;<br />
    background: transparent;<br />
}</pre>
</div>
<p><a href="http://blog.csdn.net/zhang_red/article/details/44594395" rel="external nofollow noreferrer">点击查看-webkit-appearance详解</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqljkrk9.html">input表单手机号、身份证号验证</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7epmj9.html">Maven 配置使用小技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2m0vv8.html">&lbrack;SharePoint 2013&rsqb; Set value for people editor with JSOM</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jdkv49.html">Powershell 学习笔记【持续更新】</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq17k52q.html">课堂笔记--Strom并发模型</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvz2wyq.html">jsonp实现跨域访问</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k14m059.html">Android 关于显示键盘，布局错乱网上顶的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y5nejq.html">JSPatch 成长之路</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn32zoq.html">10 个十分难得的 javascript 开发经验</a>
		</li>
						<li><a href="https://www.batexi.com/a/95070nm8.html">【特效】hover图片立体翻转</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y6rjn8.html">scrapy框架第一章</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kplg139.html">java中垃圾回收机制和引用类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjgd6y8.html">Mongodb数据更新命令、操作符</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgxyje8.html">SQL练习题题目</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwexm09.html">django中云存储静态文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyynkwmq.html">Atitit 医学之道 attilax总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r7d258.html">java开学第一周测试代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4dlex9.html">MCU&lowbar;数码管常用表</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx2dxoe8.html">html5 ajax 文件上传</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjjmw0q.html">19 Go的全能ORM简单入门</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qxkxg3d8.html">awk -f program&period;file 功能使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mlxy48.html">ng机器学习视频笔记（十六）  &mdash;&mdash;从图像处理谈机器学习项目流程</a>
			</li>
						<li><a href="https://www.batexi.com/a/93yk42r8.html">VS工程中的Windows&period;h</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7z3ky19.html">Angular2学习笔记四（之Http通信）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey2zgz9.html">ABP官方文档翻译 7&period;3 Quartz集成</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mlzdm8.html">Django之wagtail安装及配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7z340g9.html">夏令营提高班上午上机测试 Day 4 解题报告</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jvrlx8.html">Codevs 3990 &lbrack;中国剩余定理&rsqb;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkx0zz8.html">java设计模式在公众号的应用&mdash;&mdash;我是一个快乐的单例</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zwxzk9.html">微信小程序中不同页面间的参数传递</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
